require 'rexml/document'
require 'xupdate/commands'

module XUpdate
  include REXML

  #Represents a XUpdate document.
  class Document < REXML::Document
    #xupdate:commands ̃XgzŕԂ܂D

    #Returns xupdate:commands list as array.
    def commands
      get_elements("xupdate:modifications/node()")
    end

    #xupdate:commands ̃Xg commands Œu܂D
    # commands: REXML::Element ̔z

    #Replaces xupdate:commands list by @param commands.
    # commands: array of REXML::Element
    def commands=(commands)
      self.commands.each {|command| command.remove }
      commands.each {|command| self.root.add_element command }
    end

    #@target_document  self KpCKpԂ܂D

    #Applies self to @param target_document and returns patched document.
    def patch_with(target_document)
      commands = Commands.new(self, target_document)
      commands.execute
      commands.target_document
    end
  end
end
