#
# Ruby-XUpdate - XUpdate Library for REXML
#
# == Synopsis
# 
#   require 'xupdate/document'
#   xupdate = XUpdate::Document.new(File.new('xupdate.xml'))
#   target  = REXML::Document.new(File.new(target.xml))
#   commands = XUpdate::Commands.new(xupdate, target)
#   p result = commands.execute           #show patched data as array
#   p patched = commands.target_document  #show patched xml as REXML::Document
#
#   require 'xupdate/document'
#   xupdate = XUpdate::Document.new(File.new('xupdate.xml'))
#   target  = REXML::Document.new(File.new(target.xml))
#   p patched = xupdate.patch_with target  #show patched xml as REXML::Document
# 
# == Description
#
# This is a ruby library to patch a XUpdate formatted document or commands, 
# includes some utility functions to process patching.
#
# == Author
#
# Motohiro MATSUDA <matsuda@sw.it.aoyama.ac.jp>
#
# Copyright (c) 2008 Motohiro MATSUDA.
#
# It is free software, and is distributed under the Ruby license.
# See the COPYING file in the standard Ruby distribution for details.
#
module XUpdate
  COPYRIGHT = "Copyright (c) 2008 Motohiro MATSUDA <matsuda@sw.it.aoyama.ac.jp>"
  DATE = "2008/01/01"
  VERSION = "0.1.0"

  Copyright = COPYRIGHT
  Version = VERSION
end
